Update a Monitor
Use this endpoint to update the name, status, and/or other details of an existing monitor.
name, description, status (active or inactive), guardrail_metrics, web_search, file_search when needed. Only fields provided in the request body will be updated.Setting
status to inactive will stop the monitor from recording and evaluating new events.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the monitor to edit.
Body
New name of the monitor.
New description of the monitor.
Status of the monitor. Can be active or inactive. Inactive monitors no longer record and evaluate events.
active, inactive "inactive"
An array of the new guardrail metrics that model input and output pairs will be evaluated on.
correctness, completeness, instruction_adherence, context_adherence, ground_truth_adherence, comprehensive_safety Whether to enable web search for this monitor's evaluations.
An array of file IDs to search in the monitor's evaluations. Files must be uploaded via the DeepRails API first.
A file ID corresponding to a file to search in the monitor's evaluations.
Response
Monitor updated successfully
A unique monitor ID.
"mon_xxxxxxxxxxxx"
Status of the monitor. Can be active or inactive. Inactive monitors no longer record and evaluate events.
active, inactive "active"
The time the monitor was last modified in UTC.
"2025-01-15T10:30:00Z"
